<?php

declare(strict_types=1);

namespace Drupal\contextual_image_widget_crop\Hook;

use Drupal\Core\Hook\Attribute\Hook;

/**
 * Theme Hook implementations for the contextual_image_widget_crop module.
 */
class ThemeHooks {

  /**
   * Implements hook_theme().
   */
  #[Hook('theme')]
  public function theme() {
    return [
      'contextual_image_widget_crop_library_widget_thumbnail' => [
        'variables' => [
          'element_parents' => NULL,
          'image' => [],
        ],
        'template' => 'contextual-image-widget-crop-library-widget-thumbnail',
      ],
    ];
  }

}